commit ec1fb9cba4104a245fef32cf0ade858a8c4488a7
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Thu Jun 14 17:03:18 2012 +0200

    Bump WMND to 0.4.17.

commit c96f86d4e2d925049cdf98d10887f8a468d8db9d
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Wed Jun 6 19:27:13 2012 +0200

    Fix the installation path of wmndrc.

commit 4445971e5bc19e77972d86cf322eb9bcab107254
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Wed Jun 6 15:50:16 2012 +0200

    Doc fixes: follow the suggestions form Alexey I. Froloff
    
    - Fix FSF address in COPYING, src/list.h
    - Recode NEWS to UTF-8

commit a1fe24e2267d4cfa4fa2c372156b66383762f02a
Author: Yuri D'Elia <wavexx@thregr.org>
Date:   Sun Jan 22 21:15:13 2012 +0100

    Update configure.ac for the latest autoconf.

commit 7a38a98e1000cb77055fc92cda94bac297192b79
Author: Yuri D'Elia <wavexx@thregr.org>
Date:   Sun Jan 22 21:14:01 2012 +0100

    Reformat documentation.

commit ab81744cb20cb2ad82f5004217e47a57eb380d00
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Aug 16 17:57:46 2010 +0200

    Fix build failure on FreeBSD 8.1

commit 6521413c6b88e9e8ac810ec1c313b6fddeb45734
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Jun 7 18:51:47 2010 +0200

    Spelling fixes.

commit cb0296c7ebd0aac243148ec9c65610c78f7a75e4
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Tue Apr 6 18:24:35 2010 +0200

    Bump to 0.4.15.

commit 1c04c465a3a22fafb4844883a0f1615c26de118b
Author: Yuri D'Elia <wavexx@thregr.org>
Date:   Sun Apr 4 23:40:06 2010 +0200

    Fix net-snmp compilation errors.
    
    Define _BSD_SOURCE to unlock u_* types, hidden by _XOPEN_SOURCE.

commit fe185dfc96c61729e8404b03726c4e3b23c91d4c
Author: Yuri D'Elia <wavexx@thregr.org>
Date:   Sun Apr 4 23:39:31 2010 +0200

    Fix signed/unsigned warning with -Wall.

commit 240a8f8374e261c17e0af95dcb672b5c8dcf9a11
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Mar 29 15:59:22 2010 +0200

    Bump version to 0.4.14

commit c9480e5b346c507fa6df8b752e1c7c93e9fd3f59
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Mar 29 15:47:45 2010 +0200

    Remove spurious black line at the bottom of the pixmap.
    
    The pixmap used some data at exactly y=63, which would show up for a 64x64
    size. Due to the sunken edges of most icon themes/black themes, I never
    noticed it before. Thanks to Mikael Magnusson for noticing this.

commit d5893a4a519388bb6695f73a163c7393b12c1153
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Mar 29 15:34:02 2010 +0200

    Fix build with strict C99 standards enabled.

commit d4fedd5e015be0b7cdb4eb3618dc49498f9d1359
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Thu Nov 19 19:15:12 2009 +0100

    Fixed build on newer GLIBC versions.

commit 1c6b3dd6d55b044daba3746368d8d4323b73a6e8
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Mar 3 01:52:31 2008 +0100

    Updated documentation/examples/release notes.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1581]

commit 7d1062184d035bab567edcb2a7691a812dee05ca
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Mar 3 01:50:17 2008 +0100

    Do not refill the trend window when live updating is enabled.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1580]

commit f3670a35c9def8ae1a5ca309f35f1c02a1d4b73d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 15:21:51 2008 +0100

    Do not require 'link_up' in solaris_kstat (but use it if present),
    since on OpenSolaris many nic drivers seem to be broken.
    Hooray opensource! Wake me up when it's standardized.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1577]

commit cb3399ef2e4a3f59e1af3019f038ab49270db04e
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 02:41:37 2008 +0100

    Updating THANKS; removing dead urls. Reed, if you can read this,
    please get in touch. All your addresses are dead!
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1576]

commit 06532a30e10ebdda9d7b974be12bd96c0deebe80
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 02:27:05 2008 +0100

    GPL compliance Act #2: correcty tag all source files. Removed
    URLs in the source. Updated URLs to reflect new locations.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1575]

commit 88757aab05e97c8497243f409fe9baef27449504
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 01:40:59 2008 +0100

    Do not blink leds when an interface is offline (better behavior for
    sine_dummy). Check drifts using milliseconds instead of tenths,
    reducing cumulative roundoffs. Remove support for --enable-sine-dummy:
    this is now the only supported dummy driver.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1574]

commit 311ec4affd8b203efb86f298e652e24c6f98bac6
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 00:57:59 2008 +0100

    Removed support for --enable-snmp-descr. This is workaround for
    broken hardware. It shouldn't be needed anymore since Debian's #253109
    and DLink's firmware upgrades. If needed, better _runtime_ probing
    should be used instead!
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1573]

commit e67bb77f06e3673280e1144084604e3e64c95687
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 00:48:51 2008 +0100

    Removed support for INEXACT_TIMING. We're supposed to show
    correct stats after all.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1572]

commit 05cd8c8f9782fcbce5482c06f8b9751740509526
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 29 00:43:30 2008 +0100

    Set trend support on by default. Update documentation to reflect
    new features. Updated wmndrc for new config options.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1571]

commit fe1c34f1ddf8e679c9ca5a2b7cd173eece596008
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jan 28 23:23:23 2008 +0100

    Rewritten trend patch to support live updating, multiple trend windows,
    combined I/O, flags and history customization.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1570]

commit bcdf61140c467b925ba6039db809eb47c6c573cc
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 27 17:17:11 2008 +0100

    Integrate FreeBSD's driver patch. NOTE: it would be VERY nice to report
    those changes back upstream. Thanks for understanding.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1569]

commit 156df4c2097e88bd31459274d3639dc8ef784a24
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 27 17:12:40 2008 +0100

    Rewrite Becker's patch to use just a single pipe, do not kill random
    pids, less resources needed.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1568]

commit a63b6baf8988fa30037e136f0a098b9f9257c400
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 27 16:57:21 2008 +0100

    Include Becker's changes for trend support enhancements.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1567]

commit f1876ec9a98b5dfe81463f42d40b835ceabba51d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jan 14 12:44:00 2008 +0100

    Fix incorrect linux device name lookup (compare the whole device name,
    not just the beginning).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1565]

commit e0129b455d9f1c59966e0f3ebee76bf47878fc21
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Dec 16 17:33:07 2007 +0100

    Fixed buffer overflow in draw_rate, exposed in 64 sistems due to
    extended precision in floating point values. Thanks to Andreas
    Westin for noticing this. Bumped version to 0.4.13.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1561]

commit bee01393c48e88ea72ed3f3ba4b9bae5c33ac8c3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 6 13:13:16 2006 +0100

    Remove lsm and spec files from the source distribution.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1277]

commit 36ffe4959be7104386927397f6b706b12dc1a1df
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Apr 20 15:19:10 2006 +0100

    Different handling of traces.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1232]

commit f7cf60312a32d218ea63cc3c405c1e162763a3d1
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 11 11:12:57 2006 +0100

    Do not depend on GCC 'inline' behaviour.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1221]

commit cc1b4661e6455d7ee21e81ed691a31f11dd6f46e
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 11 10:28:51 2006 +0100

    Fixing debian's #360935 "the proper way": nobody sayd ppp_defs.h
    is linux/glibc specific. __u stuff already removed in prev. changes.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1220]

commit 1f9757ede7e35c1ac32414f8b80f8a4713e8f49f
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 11 09:48:04 2006 +0100

    Merged documentation from the webpage (README/wmndrc is now up-to-date).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1219]

commit a5202d68f850d28bd6e244fc745c638025a487c3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Apr 9 23:46:34 2006 +0100

    Reworked docs in rst syntax.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1218]

commit 4e4a27fb9e09e0b0009c79886befaa35edb84bda
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Apr 9 22:11:41 2006 +0100

    Final adjustement of configure.ac (removed acinclude macros,
    use conventional naming for configure flags, print final status
    on exit, update drivers list/flag names in docs).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1217]

commit 82fb7c9067a13ccf8514f1ffad2b1b5f8270d65f
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 8 16:44:54 2006 +0100

    Remove gpl.[tex]info (there's COPYING already).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1216]

commit 1a07c0be022e905815ca8e88f32a07b77ebd9b44
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 8 16:38:04 2006 +0100

    Use AC_C_INLINE from newer autoconf instead of hand-made.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1215]

commit f1beb19e689aad14c58f60a22c4f0156d1dd0059
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 8 16:15:52 2006 +0100

    Integrated NetBSD ioctl driver (modified) from Rui Paulo.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1214]

commit a2fd452451373ca1e5ae442d27256c7753a7a953
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Apr 7 16:03:47 2006 +0100

    _init/_term handlers now optional.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1213]

commit d3d4bf19062a788654ec484d6bbfb12b322176e2
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Apr 7 15:55:02 2006 +0100

    Block INT/TERM in during polling.
    Added per-driver termination handlers (but not converted any
    driver to use it -- thinking about generic_snmp).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1212]

commit d82e631c2f607fc32e1a673614a2177524719bb3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Apr 7 15:26:18 2006 +0100

    Missed some configure.ac stuff in last submission.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1211]

commit 85d9d007e19c2555f75985aec4ff9fa17c395636
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Apr 7 15:05:34 2006 +0100

    Handle both 32 and 64bits builds on solaris correctly.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1210]

commit 16e8c3102d4e8f4c39ff55a02b5d3309e0f276e5
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Apr 7 15:03:25 2006 +0100

    configure update (removed some old stuff, use more predef. macros).
    bump release to 0.4.12 and copyright dates update.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1209]

commit 0115ed40b93b6c74b9444c80be695cba31ccb255
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Apr 7 15:01:25 2006 +0100

    Uniform include barriers.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1208]

commit f1080a819f571475ae3af18b8447bdb79f89e2d7
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 22 12:11:56 2006 +0100

    Solaris 7 build fixes.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1095]

commit 597cad50300bde2792351295acf49f724f3f174d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Nov 10 20:39:46 2005 +0100

    removed unsafe devices_restart/SIGUSR1 (near to useless anyway).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1071]

commit 3b634ff1e948c2f710e9376f68ab83651f2f214d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Nov 10 20:32:55 2005 +0100

    auto-changelog renumbers changes correctly.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1070]

commit 081fe85bacbf95df9d2cc0fca9b679493184fa91
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Nov 10 20:13:21 2005 +0100

    reap childs.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 1069]

commit 7e95da056d75a70fd307aafdfe2b2fee0a3319af
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Oct 21 19:00:42 2004 +0100

    0.4.11 release notes and docs.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 618]

commit c4447616b6b4f4dd408d7dad341709f5e40e07a3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Oct 21 18:14:33 2004 +0100

    Added --enable-trend conditional. Release to 0.4.11.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 617]

commit cf6015019c5c1d1868bcd575b1fadd03cbfa486a
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Oct 21 18:13:43 2004 +0100

    Regions are now identified by defines, no longer hardcoded.
    Added support for trend (it's amazing how I found another
    spare zone to use in the pixmap!).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 616]

commit e118084307901bd1ba2e7cb83c385aee1ff630bd
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Sep 13 11:53:48 2004 +0100

    Fixed generic_snmp by probing both ifName and ifDescr (required
    for interoperation with Debian Sarge, closes #253109).
    Release bump to 0.4.10 and release notes.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 585]

commit eb43a0fc2300775ab985d5219f74e0ef50bf8354
Author: wavemm <a@b>
Date:   Tue Sep 7 18:19:40 2004 +0100

    Fix some [darn] new autoconf warnings.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 579]

commit 24fb2bb52653ff0eb5914a42498df13cd6e12fc0
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon May 3 12:02:55 2004 +0100

    Added a geometry flag (-g).
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 507]

commit 2e53c987b08d2625f08b81f1ee3d0d482c7345d2
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon May 3 00:43:51 2004 +0100

    write_conf now writes only changed values.
    changed release to 0.4.9.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 506]

commit c3af2b28d33fb49a3e79b1a9e92393b2e3e7801e
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 10 22:40:51 2004 +0100

    Pre-prelease lint.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 492]

commit 06f793d1a38175cfb66212c64f94dc18bdb43053
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 10 22:21:34 2004 +0100

    Support for fixed scales in the bytes modes.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 491]

commit 5b02d968fc1e01eef28c280d1334beaad82b90fd
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 10 19:02:04 2004 +0100

    testing_dummy_list now skips the initialization if a device name is
    provided so the user doesn't think it does something.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 490]

commit f2cd96e0bc8f49c087980f46067622129a4ee8a5
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 10 17:55:57 2004 +0100

    Integrated support for mouse wheel.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 489]

commit 066d3bfe2a47183f48528bb687d9d1e72eea7c10
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat Apr 10 17:08:02 2004 +0100

    Documentation about the new linux_proc functionalities.
    Bumped release to 0.4.8.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 488]

commit d98f1414343e7e0efdad38c2ce2207f3a8728a1e
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Mar 12 16:15:52 2004 +0100

    Support for linux multiple interfaces (separated by commas)
    on the command line.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 472]

commit 60a49490f2db43f56f239af9a0133ec3be555744
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Mar 12 13:59:56 2004 +0100

    Added the %style substitution on command triggers.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 471]

commit 1df7d9a604832975b9f2c58024f0f1b7da2b4748
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Mar 8 00:30:44 2004 +0100

    linux_proc_get should check for fopen failures.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 470]

commit 2d81b83683e26f33fbff5a2b05d9a41190088ffc
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Nov 16 04:49:16 2003 +0100

    implementazione parziale della gestione della scala fissa.
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 356]

commit 24f30384febbacb8493a2b141f0f0df932a5a47d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Nov 16 01:52:52 2003 +0100

    p4 don't need this crap
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 355]

commit 78479b83deb6b6fb2e0136ed26a0a7ad4ca725ae
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jun 9 00:36:49 2003 +0100

    Some notes about new configure flags.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 223]

commit 4d6713d5972174e9725e983d891b8683f4fbd4c3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jun 9 00:30:00 2003 +0100

    Old release transition notes.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 222]

commit 31934078ac1abbb0babd9fd4d0a1198f554b93e9
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jun 9 00:24:03 2003 +0100

    Fixed the copyright informations to match GPL requirements. Changed the url
    to the reed site.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 221]

commit 52073800e45de86aedcf9209957b675a41cc206e
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jun 9 00:21:08 2003 +0100

    Changed the link to the original Reed site (avoid the redirection).
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 220]

commit a8803c4d60cd481bbff9740be96be086b5c2ee23
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu Jun 5 08:48:52 2003 +0100

    New Ideas from Jeff.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 219]

commit 66f732a633e69719f8efa255e1c64479809449af
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 09:36:10 2003 +0100

    Notes for afterstep users.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 206]

commit 9d5a0c76c7a44289423e950a4303d9e6b6b178cc
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 09:34:14 2003 +0100

    Updated the embedded wmndrc. Added the -n switch.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 205]

commit 5841927a8a5739c9746d145772eb9f4f5487a8c0
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 09:29:54 2003 +0100

    Fixed some spelling errors. Added the description about "name". Changed the
    description for "smooth".
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 204]

commit d11976f4c6bb7ae1e9b7a48b33d59b6e9e04502c
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 09:07:49 2003 +0100

    Some release notes about 0.4.7.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 203]

commit 8fc19e97dd13186e9611cf602a38106664575c52
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 09:07:37 2003 +0100

    New release 0.4.7.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 202]

commit 5f5227514aabd336d49fb5f544890a715c9b5193
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 08:48:32 2003 +0100

    The 'max' history must be cleaned with 'zeroes', not with the current
    packet/bytes counters. It is calculated later automatically.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 201]

commit 35c0914d0f518c33a0883aec5dbd703c81318b94
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 08:39:13 2003 +0100

    Some more code cleanup.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 200]

commit 6ec0416e2355e42304cdcd6b983712cfd05fc4dc
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 08:25:08 2003 +0100

    Some code cleanup. Fixed a bad cast.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 199]

commit d6e011b9bd32cde8a002ada67299487d19a7cc31
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jun 4 08:24:41 2003 +0100

    Some code cleanup.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 198]

commit 3158f3000c68140987dc868208f57cf0164766ea
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 19:25:47 2003 +0100

    Fixed the wmnd.scroll bug again for INEXACT_TIMING. Note also that I do no
    longer 'smooth' packets (quite useless). I can now use theyr values to make the
    leds blink happy again!
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 197]

commit 2f3830ddf19c568ef4e0a2b5f46015a071cb4287
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 19:20:46 2003 +0100

    Fixed a bad cast in scale. Use wmnd.scroll instead of the fixed '10' value
    for average stats.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 196]

commit c90a6a353cde42415c52eb6de22605691995ac80
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 16:49:23 2003 +0100

    Removed the 'twinkling' problem when averaging.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 195]

commit 214568954195021aecd7a290394cb693c58fd961
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 16:34:52 2003 +0100

    Use the real time gap beween updates to scale the metrics. This will give
    extra precision, but it may cause values to 'twinkle' even if -S is specified.
    Use res_name and res_class instead of name/class to not clash with c++ "class"
    keyword.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 194]

commit b4b05f186cb79178f6adc6d949b483c370fa0cb7
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 14:18:57 2003 +0100

    Better formatting of the --help messages. Swich some code to use
    the AC_ARG_EC macro. Added the INEXACT_TIMING macro upon request.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 193]

commit 06de0830142f6e3b40a2d1518b919e990d749772
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 13:32:05 2003 +0100

    New function AC_ARG_EC for reducing the duplicate code inside configure.ac.
    Reformatting of the help strings is now correct (no line wraps).
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 192]

commit adc546f9ab71da87bf189f35ebccac349eff5357
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 13:30:36 2003 +0100

    Some notes about the driver subsystem.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 191]

commit bbf0cb9e9d690dea3c068fcf8965bf495ffe31a7
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 10:58:46 2003 +0100

    Reintroduced the time-based check in order to remove cumulative errors.
    Probably beat_gap should be used to do perfect rates.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 190]

commit 3c7df90bc57e2b6efc786b486b82d09b97c38cfc
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jun 3 10:29:24 2003 +0100

    Spelling errors on some comments.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 189]

commit 11cab93c9f8129d147edb95b41f4b287f8af8fc3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat May 31 22:29:41 2003 +0100

    Added the ability to change the WMND class/title name, in order to separate
    icons into the wharf bar. Requested by "David" <davidw@burst.net>.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 188]

commit 1e41407dff7c3f259fcf3e81d3ff9b74ce3302c1
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sat May 31 22:22:15 2003 +0100

    Some spell fixes.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 187]

commit 1f57af18f32aec0f0829e0caa5b8c28993eaa728
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu May 15 17:03:05 2003 +0100

    News about WMND 0.4.6.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 179]

commit 3897e5d43402035007c061a9148d95fbf0677bd8
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu May 15 17:02:51 2003 +0100

    Descriptive issues about ifDescr/ifName (generic_snmp).
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 178]

commit e0724abe6253d3febe0d6fce81e86555320cb009
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu May 15 16:44:11 2003 +0100

    Use ifName instead of ifDescr by default but allow the user to switch back
    in case it uses a buggy firmware vendor.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 177]

commit d7cdd2c82b010af05072039f06c8f14be5316bf6
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu May 15 16:43:03 2003 +0100

    Bumped version to 0.4.6 and added an ifName/ifDescr configuration flag.
    See the README for more informations.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 176]

commit e53170cd70c149a84653ddefea77e61dbad24664
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Thu May 15 16:16:17 2003 +0100

    silly typo that makes some test implementations spiffy.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 175]

commit 38facb27dd44ec19dc59685f90e7e513f1df877a
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 23:06:36 2003 +0100

    notes about sine-dummy.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 120]

commit becb2ff33ca0efb7875542b9844aeb518f026ac7
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 23:05:03 2003 +0100

    Changed some drivers to use devices_append.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 119]

commit d9e44899dbe9de10de411e314a4dac2653505716
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 22:48:34 2003 +0100

    Cast checks.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 118]

commit e2b0c24fd572efede5d2a5807a07088e52ca5d5f
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 22:33:08 2003 +0100

    Some packager's notes.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 117]

commit b5da869e92227044631d169810c5e7a10e4e57aa
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 22:18:31 2003 +0100

    Notes about driver parameters (driver_interface, or -I).
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 116]

commit 503e15cdf8a5062293645cb94d48da29afb628e1
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 22:17:57 2003 +0100

    Notes about generic_snmp.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 115]

commit b9f61c406ff9148decd31a096d6ef5fc953417ae
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 13:34:40 2003 +0100

    Informations about the generic_snmp driver.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 114]

commit 64bbea72d2044aa335020cfbf3a40621c1677fb4
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 12:07:05 2003 +0100

    News about the sounding new release.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 113]

commit f2ed72853aa53703128f2cdd03d96c91253a8720
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Apr 9 12:06:39 2003 +0100

    config.h.in is now handled correctly by automake.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 112]

commit 0cef2a2c60f6ddb788f4e0a39c6b667a50515d49
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 8 19:25:00 2003 +0100

    Ignore vim swap files.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 111]

commit b3048d165e3ae1ea4fcd789b620aba50bad4f05d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 8 19:24:43 2003 +0100

    Added an helper functions to push devices into the devices list, and
    added the generic_snmp driver.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 110]

commit 7827faacf5b50beea918fe50af7dd678440240c9
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 8 19:24:00 2003 +0100

    Test for generic_snmp that uses net-snmp >= 5
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 109]

commit f1f1213f13c4fcfdde6191ec83ef6013b813a08d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Apr 8 19:23:35 2003 +0100

    Added the generic_snmp driver into the drivers list.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 108]

commit 7b4f246cfe006b95ecfb7f05a7bd6b961a639987
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Feb 10 12:59:29 2003 +0100

    Changed the website (www.hydra.ubiest.com) to the new domain www.yuv.info.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 91]

commit 3ec7116af3cd32d09c5335a7a08ee5decd35e46d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Mon Jan 27 21:56:08 2003 +0100

    added config.h.in to the distribution (manually!)
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 90]

commit 3550370b12fa833a1636c632adb4d7ad38866afd
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 19 19:39:40 2003 +0100

    Added addictional compilations notes for IRIX.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 83]

commit 5dd5a1e946143cb5eb280cf8701e3959f3816c14
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 14 17:57:34 2003 +0100

    changed the revision number to 4a
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 82]

commit 2b0f188b4d87ecc017f99d96fe1deb87a5db684a
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 14 17:49:42 2003 +0100

    use configure-ed values for __u8 and __u32
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 81]

commit 7fedc425a7c68b75c5a5e96955cfe4ed844b002d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 14 17:49:04 2003 +0100

    Added extended checks for determining a correct 32 bits type
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 80]

commit 2f6e4fa830db33239edba073cb193261e5ee74ac
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 17:20:36 2003 +0100

    ChangeLog.0 must be included into the distribution
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 79]

commit 677f4d8dc215707005a63623e18d86a3bace973d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 17:18:17 2003 +0100

    WMND rc, not WMND config
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 78]

commit e7dfb2e3fd4330ecf76b5cd181e124f095218b8c
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 17:11:37 2003 +0100

    ephemeral bug :), display the correct name when forcing an interface using linux_proc
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 77]

commit ead994b011417f0d2b658b7f524edb3bf883352f
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:57:29 2003 +0100

    added infos about testing_dummy
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 76]

commit 744d755ec0cbfbae0adc3aad134a42f0aef51715
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:57:14 2003 +0100

    corrected the url of PCP
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 75]

commit 42c62be62f84f309a1358c49c1f7a04980f59ce4
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:49:39 2003 +0100

    updated docs about irix_pcp
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 74]

commit 64cf87591bc4aedd32c52e773b0a97d9017b7d6f
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:40:54 2003 +0100

    driver subsystem lacks of flexibility
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 73]

commit 7b1c5a33fff8b120e25f03831a6574ac571bf5f6
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:40:31 2003 +0100

    added infos about irix_pcp
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 72]

commit 571c06be6d4bd9fe2bfe35501981cbab6bffbc49
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:40:06 2003 +0100

    added infos about the new pixmap, and the irix driver
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 71]

commit b00e4a2a5459c5ee354671468206f53f8a008bc3
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:13:10 2003 +0100

    documentation about -Q
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 70]

commit 16ad40a65c7b2948ba2d0e4f282ba8bb391f09a7
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 16:12:15 2003 +0100

    device timers are now handled externally so the "timer" now works with any
    driver indipendendly.
    However, the initial device timestamp resposability is still delegated
    to the driver, so you need at least a device restart to the "timer" to appear.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 69]

commit 6f929378b12c6229dee58454813a5aaee51c7696
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 15:56:50 2003 +0100

    Added -Q to contrast with -q
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 68]

commit aca3fbad38874df2548dd77629858773c73da9ce
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 15:50:24 2003 +0100

    re-fixed the led control mechanism
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 67]

commit bcb0b35f9bfd05a8039b07a34bc5dd1f2ed4764a
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 15:42:55 2003 +0100

    Completed the implementation of the IRIX PCP driver.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 66]

commit c6b9b98f1f2228d100080757290a0374ae2504ab
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 14:38:01 2003 +0100

    Added checks for irix_pcp
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 65]

commit fef3f0bb5de02cf20b3187a4d73647ae450de509
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 14:33:15 2003 +0100

    Cosmetic fixes (removed the usage of gettimeofday).
    Corrected the implementation for the graph smoothing.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 64]

commit ed48e0697598287ce580ca913b9ff73cfdd0ec1e
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 14:29:45 2003 +0100

    changed the main pixmap, reducing the number of used colors in the chart.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 63]

commit 43de5f35188528ef5c984572b9d03b31daeaf5ce
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 14:26:14 2003 +0100

    master.xpm
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 62]

commit 3b79a2a38dadca6a60e6f6ce808c3f847340bfec
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Jan 12 14:26:00 2003 +0100

    README.master.xpm
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 61]

commit 48304522e1e915310e7c940c3db900b913d2c083
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 15:57:39 2003 +0100

    a good value for smooth is 0.1, not 0.01.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 60]

commit 5bfb717bb0748a04f29822c0ed58887a71f9926a
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 15:51:31 2003 +0100

    fixed average sampling (it would only work for the lastest device avaible
    and it would report wrong speeds if avg_steps > 1)
    indentation.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 59]

commit 97d8e8a82cfb16e10ffdba7652081cd594a55237
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 12:22:01 2003 +0100

    better checks for bsd net/if_mib.h inclusion
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 58]

commit 14c1cb74c13a6c3fd29f188527775f05d447e0b7
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 11:12:12 2003 +0100

    added the smoothing factor implementation.
    changed sigtly the sampling loop to not use gettimeofday (less timing/rounding
    errors).
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 57]

commit 216cd764be52349e6f5a310d86fac899f62e3d3d
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 11:10:04 2003 +0100

    added the smoothing factor, some indentation
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 56]

commit a4076377e9a3b581358da4c49299adb616649369
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 11:08:29 2003 +0100

    added "smooth" inside the rc file
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 55]

commit a4cfafa754c996cf18deb632e4e47bee65944dd1
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Wed Jan 8 11:07:23 2003 +0100

    informations about smoothing factor
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 54]

commit f291ceba4c80e1fd73ca0c30663adcf7678f87eb
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 7 20:12:33 2003 +0100

    adding cvs Id number
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 53]

commit 6907c7cba9dc4ddb0f12db2a38114125e91ce281
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 7 20:11:55 2003 +0100

    added infos about lines and IRIX/AIX's compilers
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 52]

commit 6c8b72b5382b772d8b44594808ad5b0933b8a3a2
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Tue Jan 7 20:10:55 2003 +0100

    added lines to the defauls series of display modes
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 51]

commit c18949ebb26ab3210e6e9f3fd4d50da6ef2ee6e9
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Dec 22 19:56:27 2002 +0100

    new display mode: lines
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 50]

commit 11f4b7481c4bc7b65a317991e5b2c12b0eee62d2
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Dec 22 18:52:11 2002 +0100

    linux_proc can be forced to monitor anything
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 49]

commit 6ae38703e1711c5e33ad29aca047e6bfe86ffd3b
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Sun Dec 22 18:51:53 2002 +0100

    some spelling fixes
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 48]

commit 94f62449527784c1146ec231213bfa01bb730a1a
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 19:06:40 2002 +0100

    imported the new definitions for ppp drivers
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 47]

commit 2a1321ede95529eedc71515bd70283f2213196d9
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 18:52:23 2002 +0100

    removed some useless variabled
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 46]

commit 15ad30113c9c9b06cb51ef46bbe4e0e48d1baa10
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 18:51:13 2002 +0100

    added the enchanged testing driver
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 45]

commit 996685cec7219072d13ead3a9ff067455ed60f05
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 18:49:37 2002 +0100

    I no longer use the msg_dbg macro with a variable number of arguments.
    I use a static inline function instead.
    
    Fixed some syntax and indentation.
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 44]

commit a348ed17956704367785e6faee5cc9b3c9fcc9a2
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 15:46:16 2002 +0100

    better syntax, management of __inline
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 43]

commit db5451c051fa4b224335aefc830b2928b05d42a0
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 14:49:22 2002 +0100

    ignore auto* files
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 42]

commit 832ae489ba11b2a5e35836faea03ad8d78bdfd72
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 11:30:31 2002 +0100

    even more regenerated files, adding ignores
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 41]

commit 53c382adf1b652b6b9b497a52b0c73b6182aef45
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 11:30:31 2002 +0100

    even more regenerated files, adding ignores
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 40]

commit b09f424c85a5e93c362f486f6393670f397a04f0
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 11:26:12 2002 +0100

    more regenerated files
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 39]

commit b7213aa90a87718d8a28c8809247422c4754e5c4
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 11:23:59 2002 +0100

    removing some autogenerated files
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 38]

commit 8524e673d115c6a42a8c185485b35c71e7a79a79
Author: Yuri D'Elia <wavexx@yuv.info>
Date:   Fri Dec 20 11:19:38 2002 +0100

    Initial revision
    
    [imported from CVS by cvs2p4 at 2003/11/15 23:23:15]
    
    [git-p4: depot-paths = "//depot/wmnd/main/": change = 37]
